POST api/Users/Update

Request Information

URI Parameters

None.

Body Parameters

UpdateAccountModel
NameDescriptionTypeAdditional information
userId

integer

None.

accountId

integer

None.

foodSystemId

integer

None.

foodSystemName

string

None.

isStaticSystem

boolean

None.

Account

AccountUpdate

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": 1,
  "accountId": 2,
  "foodSystemId": 3,
  "foodSystemName": "sample string 4",
  "isStaticSystem": true,
  "Account": {
    "id": 1,
    "name": "sample string 2",
    "gender": "sample string 3",
    "birthDate": "2026-04-12T17:54:47.6508078+03:00",
    "email": "sample string 4",
    "image": "sample string 5",
    "coachId": 1,
    "height": 1.1,
    "weight": 1.1,
    "age": 1,
    "userActivity": "sample string 6",
    "goal": "sample string 7",
    "applicationGoal": "sample string 8",
    "desiredWeight": 1.1,
    "weekDesiredWeight": 1.1,
    "femaleStatus": "sample string 9",
    "chronicDiseaseId": "sample string 10",
    "isVegetarian": true,
    "userTargets": "sample string 11"
  }
}

text/plain, application/octet-stream

Sample:
{"userId":1,"accountId":2,"foodSystemId":3,"foodSystemName":"sample string 4","isStaticSystem":true,"Account":{"id":1,"name":"sample string 2","gender":"sample string 3","birthDate":"2026-04-12T17:54:47.6508078+03:00","email":"sample string 4","image":"sample string 5","coachId":1,"height":1.1,"weight":1.1,"age":1,"userActivity":"sample string 6","goal":"sample string 7","applicationGoal":"sample string 8","desiredWeight":1.1,"weekDesiredWeight":1.1,"femaleStatus":"sample string 9","chronicDiseaseId":"sample string 10","isVegetarian":true,"userTargets":"sample string 11"}}

application/xml, text/xml

Sample:
<UpdateAccountModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody">
  <Account>
    <age>1</age>
    <applicationGoal>sample string 8</applicationGoal>
    <birthDate>2026-04-12T17:54:47.6508078+03:00</birthDate>
    <chronicDiseaseId>sample string 10</chronicDiseaseId>
    <coachId>1</coachId>
    <desiredWeight>1.1</desiredWeight>
    <email>sample string 4</email>
    <femaleStatus>sample string 9</femaleStatus>
    <gender>sample string 3</gender>
    <goal>sample string 7</goal>
    <height>1.1</height>
    <id>1</id>
    <image>sample string 5</image>
    <isVegetarian>true</isVegetarian>
    <name>sample string 2</name>
    <userActivity>sample string 6</userActivity>
    <userTargets>sample string 11</userTargets>
    <weekDesiredWeight>1.1</weekDesiredWeight>
    <weight>1.1</weight>
  </Account>
  <accountId>2</accountId>
  <foodSystemId>3</foodSystemId>
  <foodSystemName>sample string 4</foodSystemName>
  <isStaticSystem>true</isStaticSystem>
  <userId>1</userId>
</UpdateAccountModel>

multipart/form-data, application/form-data

Sample:
<UpdateAccountModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><Account><age>1</age><applicationGoal>sample string 8</applicationGoal><birthDate>2026-04-12T17:54:47.6508078+03:00</birthDate><chronicDiseaseId>sample string 10</chronicDiseaseId><coachId>1</coachId><desiredWeight>1.1</desiredWeight><email>sample string 4</email><femaleStatus>sample string 9</femaleStatus><gender>sample string 3</gender><goal>sample string 7</goal><height>1.1</height><id>1</id><image>sample string 5</image><isVegetarian>true</isVegetarian><name>sample string 2</name><userActivity>sample string 6</userActivity><userTargets>sample string 11</userTargets><weekDesiredWeight>1.1</weekDesiredWeight><weight>1.1</weight></Account><accountId>2</accountId><foodSystemId>3</foodSystemId><foodSystemName>sample string 4</foodSystemName><isStaticSystem>true</isStaticSystem><userId>1</userId></UpdateAccountModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.